/****************************************************************************
** $Id: main.cpp,v 1.2 1999/06/03 01:45:56 warwick Exp $
**
** Copyright (C) 1992-1999 Troll Tech AS.  All rights reserved.
**
** This file is part of an example program for Qt.  This example
** program may be used, distributed and modified without limitation.
**
*****************************************************************************/

#include <qapplication.h>
#include <stdlib.h>
#include "knight.h"


int main( int argc, char *argv[]  )
{
    QApplication a( argc, argv );
    int n = 8;
    if ( argc == 2 )				// get board size n
        n = atoi(argv[1]);
    if ( n < 3 || n > 8 ) {			// out of range
        qWarning( "%s: Board size must be from 3x3 to 8x8", argv[0] );
        return 1;
    }

	QPixmap pixmap;	
	bool r = pixmap.load("n58s.bm");
	if ( r == FALSE ){
        qWarning( "%s: Can't load k58s.bm file image", argv[0] );
        return 1;
    }
    ChessGame all( n, &pixmap );				// create game
    a.setMainWidget( &all );
    all.show();					// show widget
    return a.exec();				// go
}
